using System;
using System.Collections.Generic;
using System.Text;
using DotNetLibs.Compression;

namespace DotNetLibs.Samples
{
	/// <summary>
	/// Command line arguments parser and storage.
	/// </summary>
	public class Arguments
	{
		/// <summary>
		/// Parses the command line and creates the instance of Arguments class
		/// </summary>
		/// <param name="args">Command line arguments.</param>
		public Arguments(string[] args)
		{
			if (args.Length == 0)
				throw new SampleException("Archive name is missing.");

			if (args.Length > 2)
				throw new SampleException("Too many arguments.");

			_zipArchivePath = args[0];

			if (args.Length == 2)
				_sourcePath = args[1];
		}

		/// <summary>
		/// Path to the ZIP archive on the disk.
		/// </summary>
		public string ZipArchivePath { get { return _zipArchivePath; } }
		private string _zipArchivePath;

		/// <summary>
		/// Specifies which files will be added. Supported wildcards: '*' and '?'.
		/// </summary>
		/// <example>"C:\data", "C:\file.txt", "C:\*.txt", "data", "file.txt", "*.txt", "*", etc.</example>
		public string SourcePath { get { return _sourcePath; } }
		private string _sourcePath = "*";

	}
}
